---
title: "Get Details of Remove Funds Request"
source_url: https://docs.rapyd.net/en/get-details-of-remove-funds-request.html
lang: en
---

# Get Details of Remove Funds Request

Retrieve details of a specific [Remove Funds From Wallet Account](https://docs.rapyd.net/en/remove-funds-from-wallet-account.md "Remove Funds From Wallet Account") request.

Use this method in the sandbox for testing purposes.

### Parameters

### Request Path Parameters

- - id
  - ID of the [Remove Funds From Wallet Account](https://docs.rapyd.net/en/remove-funds-from-wallet-account.md "Remove Funds From Wallet Account") request, from the `id` field in the `data` object of the response. UUID.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - account_id
  - ID of the Rapyd wallet account. UUID.
- - amount
  - Amount of the transfer, in units of the currency specified in `currency`.
- - balance_type
  - Indicates the type of balance within the Rapyd wallet account.
- - currency
  - The currency of the transfer. Three-letter ISO 4217 code.
- - id
  - ID of the funds transfer transaction. UUID.
- - metadata
  - A JSON object defined by the client. See [Metadata](https://docs.rapyd.net/en/metadata.md "Metadata").
- - phone_number
  - Phone number of the Rapyd wallet.

### Code Samples

- - .NET

    - ```csharp
      using System;

      namespace RapydApiRequestSample
      {
          class Program
          {
              static void Main(string[] args)
              {
                  try
                  {
                      string id = "91ddcad5-5876-4731-8afd-8ddea84e4846";

                      string result = RapydApiRequestSample.Utilities.MakeRequest("GET", $"/v1/account/withdraw/{id}");
                      Console.WriteLine(result);
                  }
                  catch (Exception e)
                  {
                      Console.WriteLine("Error completing request: " + e.Message);
                  }
              }
          }
      }
      ```
- - JavaScript

    - ```javascript
      const makeRequest = require('<path-to-your-utility-file>/utilities').makeRequest;

      async function main() {
        try {
          const result = await makeRequest(
            'GET',
            '/v1/account/withdraw/91ddcad5-5876-4731-8afd-8ddea84e4846'
          );

          console.log(result);
        } catch (error) {
          console.error('Error completing request', error);
        }
      }
      ```
- - PHP

    - ```php
      <?php
      $path = $_SERVER['DOCUMENT_ROOT'];
      $path .= "/<path-to-your-utility-file>/utilities.php";
      include($path);

      try {
          $object = make_request('get', '/v1/account/withdraw/91ddcad5-5876-4731-8afd-8ddea84e4846');
          var_dump($object);
      } catch(Exception $e) {
          echo "Error: $e";
      }
      ?>
      ```
- - Python

    - ```python
      from pprint import pprint

      from utilities import make_request

      id = '91ddcad5-5876-4731-8afd-8ddea84e4846'

      results = make_request(method='get', path=f'/v1/account/withdraw/{id}')
      pprint(results)
      ```

- /v1/account/withdraw/:id

- Get Details of Remove Funds Request
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/account/withdraw/92f31152-e95a-406f-8833-db3c5ddb9422' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "624283ad-e59f-4848-bf68-97016b9f0fae"
      },
      "data": {
          "id": "92f31152-e95a-406f-8833-db3c5ddb9422",
          "account_id": "644410b8-e721-43b2-8847-4764cc0e4a00",
          "phone_number": null,
          "amount": -100,
          "currency": "EUR",
          "balance_type": "available_balance",
          "balance": 900,
          "metadata": {}
      }
  }
  ```

- Bad Request - Transfer Not Found
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/account/withdraw/92f31152-e95a-406f-8833-db3c5ddb942' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "ERROR_GET_ACCOUNT_FUNDS_DETAILS",
          "status": "ERROR",
          "message": "The request tried to retrieve details of a transaction, but the transaction was not found. The request was rejected. Corrective action: Provide a valid transaction ID, which is a UUID.",
          "response_code": "ERROR_GET_ACCOUNT_FUNDS_DETAILS",
          "operation_id": "1ad3de80-fca7-4270-8e17-c5da9bfc85ac"
      }
  }
  ```

- Unauthorized
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/account/withdraw/92f31152-e95a-406f-8833-db3c5ddb942' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'idempotency: your-idempotency-parameter-here' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "UNAUTHORIZED_API_CALL",
          "status": "ERROR",
          "message": "",
          "response_code": "UNAUTHORIZED_API_CALL",
          "operation_id": "e55eb899-5967-4f34-a14e-7de55806bdae"
      }
  }
  ```
